#
# relink_docs()
# repair broken links to docs cause by gzipping
# added by Jasper Huijsmans
#
# Parameters:  $1    The symbolic link file
#

relink_docs() {
   LINKGOESIN=`dirname $1`
   LINKNAMEIS=`basename $1`
   LINKPOINTSTO=`ls -l $1 | cut -b58- | cut -f 3 -d ' '`
   rm $1
   # Here comes the trick: just add .gz to every name
   ( cd $LINKGOESIN; ln -s $LINKPOINTSTO.gz $LINKNAMEIS.gz )
}
